# -*- coding: utf-8 -*-

import mod.client.extraClientApi as clientApi
ClientSystem = clientApi.GetClientSystemCls()


class FlumeRideClientSystem(ClientSystem):
    def __init__(self, namespace, systemName):
        ClientSystem.__init__(self, namespace, systemName)
        print "Client初始化"
        nameSpace, systemName = clientApi.GetEngineNamespace(), clientApi.GetEngineSystemName()
        self.ListenForEvent(nameSpace, systemName, "UiInitFinished", self, self.UiInitFinished)
        self.ListenForEvent("FlumeRide", "FlumeRideServerSystem", "OpenGameInfoUI", self, self.OpenUI)
        self.ListenForEvent("FlumeRide", "FlumeRideServerSystem", "PlayerCamera", self, self.PlayerCamera)

    def PlayerCamera(self, args):
        controlComp = clientApi.GetEngineCompFactory().CreateOperation(clientApi.GetLevelId())
        if args["Camera"] == "Lock":
            controlComp.SetCanAll(False)
        elif args["Camera"] == "UnLock":
            controlComp.SetCanAll(True)

    def OpenUI(self, args):
        UIType = args['UIType']
        if UIType == "panda":
            clientApi.PushScreen("FlumeRide", "FlumeRideGameInfo")
        elif UIType == "wolf":
            clientApi.PushScreen("FlumeRide", "FlumeRideGameBook_1")

    def UiInitFinished(self, args):
        clientApi.RegisterUI("FlumeRide", "FlumeRideGameInfo", "Script_FlumeRide.uiScript.FlumeRideInfoUI.FlumeRideInfoUI", "GameInfo.main")
        clientApi.RegisterUI("FlumeRide", "FlumeRideGameBook_1", "Script_FlumeRide.uiScript.FlumeRideInfoUI.FlumeRideInfoUI", "GameBook.main")
        clientApi.RegisterUI("FlumeRide", "FlumeRideGameBook_2", "Script_FlumeRide.uiScript.FlumeRideInfoUI.FlumeRideInfoUI", "GameBook_2.main")
